# This file contains list of files to copy, link, remove and create
# Variables:
#   src_root:  			source root
#   install_root:   install root   (/usr/local/share/gpmi by default)


# Copy these files
copy_files="
$src_root/gpmi.h>$install_root/include/gpmi.h
$src_root/gpmi/debug.h>$install_root/include/gpmi/debug.h
$src_root/gpmi/error.h>$install_root/include/gpmi/error.h
$src_root/gpmi/events.h>$install_root/include/gpmi/events.h
$src_root/gpmi/global.h>$install_root/include/gpmi/global.h
$src_root/gpmi/os_dep.h>$install_root/include/gpmi/os_dep.h
$src_root/gpmi/packages.h>$install_root/include/gpmi/packages.h
$src_root/gpmi/paths.h>$install_root/include/gpmi/paths.h
$src_root/gpmi/threads.h>$install_root/include/gpmi/threads.h
$src_root/gpmi/keyword_hash.h>$install_root/include/gpmi/keyword_hash.h
$src_root/gpmi/keywords.h>$install_root/include/gpmi/keywords.h
$src_root/gpmi/libs.h>$install_root/include/gpmi/libs.h
$src_root/gpmi/libs-package.h>$install_root/include/gpmi/libs-package.h
$src_root/gpmi/libs-module.h>$install_root/include/gpmi/libs-module.h
$src_root/gpmi/pkgs-static.h>$install_root/include/gpmi/pkgs-static.h
$src_root/gpmi/mods-static.h>$install_root/include/gpmi/mods-static.h
$src_root/gpmi/modules.h>$install_root/include/gpmi/modules.h
$src_root/gpmi/hash/hash.h>$install_root/include/gpmi/hash/hash.h
$src_root/gpmi/hash/hash_cursor.h>$install_root/include/gpmi/hash/hash_cursor.h
$src_root/gpmi/libgpmi.a>$install_root/lib/libgpmi.a
$src_root/gpmi/libgpmi.dll.a>$install_root/lib/libgpmi.dll.a
$src_root/gpmi/libgpmi.so>$install_root/lib/libgpmi.so
$src_root/gpmi/libgpmi.dll>$install_root/lib/libgpmi.dll
$src_root/doc/bugreporting.txt>$install_root/../doc/libgpmi/bugreporting.txt
$src_root/doc/contact.txt>$install_root/../doc/libgpmi/contact.txt
$src_root/doc/roadmap.txt>$install_root/../doc/libgpmi/roadmap.txt
$src_root/doc/Readme>$install_root/../doc/libgpmi/Readme
$src_root/doc/Credits>$install_root/../doc/libgpmi/Credits
$src_root/wrapgen/wrapgen$with_sys_libext_exe>$install_root/bin/wrapgen$with_sys_libext_exe
$src_root/wrapgen/listgen$with_sys_libext_exe>$install_root/bin/listgen$with_sys_libext_exe
$src_root/wrapgen/host.wrapgen$with_sys_libext_exe>$install_root/bin/host.wrapgen$with_sys_libext_exe
$src_root/wrapgen/host.listgen$with_sys_libext_exe>$install_root/bin/host.listgen$with_sys_libext_exe
$src_root/Makefile.config>$install_root/Makefile.config
$src_root/Makefile.rules>$install_root/Makefile.rules
$src_root/config/gpmi-config>$install_root/bin/gpmi-config
$src_root/config/Install-fstools.sh>$install_root/bin/Install-fstools.sh
$src_root/config/data/Makefile.ext-pkg>$install_root/lib/Makefile.ext-pkg
$src_root/config/data/Makefile.ext-mod>$install_root/lib/Makefile.ext-mod
$src_root/config/data/main.c.ext-mod>$install_root/lib/main.c.ext-mod
$src_root/config/data/Makefile.am.ext-pkg>$install_root/lib/Makefile.am.ext-pkg
$src_root/config/data/Makefile.am.ext-mod>$install_root/lib/Makefile.am.ext-mod
$src_root/config/data/Master.package.c>$install_root/lib/Master.package.c
$src_root/config/data/Master.package.list>$install_root/lib/Master.package.list
$src_root/config/data/Install.sh-ext-pkg>$install_root/lib/Install.sh-ext-pkg
$src_root/config/data/Makefile.ext-pkg-grp>$install_root/lib/Makefile.ext-pkg-grp
$src_root/config/data/configure.ext-pkg-grp>$install_root/lib/configure.ext-pkg-grp
$src_root/config/data/Makefile.SA.ext-pkg-grp>$install_root/lib/Makefile.SA.ext-pkg-grp
$src_root/config/data/Makefile.gpmi-app>$install_root/lib/Makefile.gpmi-app
$src_root/config/data/Makefile.gpmi.am-app>$install_root/lib/Makefile.gpmi.am-app
";
#$src_root/doc>$install_root/doc

# link these ones
link_files="
$install_root/include/gpmi.h>$prefix/include/gpmi.h
$install_root/include/gpmi>$prefix/include/gpmi
$install_root/lib/libgpmi.a>$prefix/lib/libgpmi.a
$install_root/lib/libgpmi.dll.a>$prefix/lib/libgpmi.dll.a
$install_root/lib/libgpmi.so>$prefix/lib/libgpmi.so
$install_root/lib/libgpmi.dll>$prefix/bin/libgpmi.dll
$install_root/bin/gpmi-config>$prefix/bin/gpmi-config
";

# when uninstall, remove these
del_files="
	$install_root
	$install_root/../doc/libgpmi
	$prefix/include/gpmi.h
	$prefix/include/gpmi
	$prefix/lib/libgpmi.a
	$prefix/lib/libgpmi.dll.a
	$prefix/lib/libgpmi.so
	$prefix/bin/libgpmi.dll
	$prefix/bin/gpmi-config
";

# before installing, create these dirs
mkdir_files="
	$install_root
	$prefix
	$install_root/include
	$install_root/include/gpmi
	$install_root/include/gpmi/hash
	$install_root/lib
	$install_root/bin
	$install_root/gpmi_pkg
	$install_root/modules
	$install_root/../doc/libgpmi
	$prefix/include
	$prefix/lib
	$prefix/bin
";

#copy these core packages
copy_packages="
	example
	gpmi_scripts
	hash
	keywords
	bgproc
	timer
	filter
	qparse
";
