#!/bin/sh

echo -n "Testing static (example application)... "

EXE="../../example-app/example-static/example-rich-static"

if ! test -x $EXE
then
	EXE="$EXE.exe"
	if ! test -x $EXE
	then
		echo "ERROR: no main. Please make before running the test!"
		exit
	fi
fi

# make sure we won't use an old out
rm -f out

$EMULATOR $EXE > out 2> /dev/null && ../test.awk ../example-rich/out.OK < out && ok=1

rm -f out

if test -z "$ok"
then
	echo "FAILED"
	false
else
	true
fi
