#define nowrap
#include "bgproc.h"
#include "filter.h"
typedef enum cli_state_e {
	cli_st_idle,
	cli_st_waitfin,
} cli_state_t;

typedef struct cli_t {
	pipe_t fds_a[2];
	pipe_t fds_b[2];
	char *fn;
	filter_t *flt_read;
	filter_t *flt_write;
	cli_state_t state;
} cli_t;

int cli_read_conf(const char *dir, const char *language, char **before, char **after);
int cli_read_confs(const char *mod_path, const char *language, char **dir, char **before, char **after);
int cli_read_confs_multi(int gpmi_path, const char *language, char **dir, char **before, char **after);
cli_t *cli_fork(const char *dir, const char *before, const char *script, const char *after);
int cli_parse(cli_t *c, int timeout);
void cli_send_string(cli_t *c, const char *s);
void cli_send_string_now(cli_t *c, const char *s);

