#include <gpmi.h>

gpmi_keyword *gpmi_kw_types;

void *gpmi_kw_create(const char *table_name, int value_type);
int gpmi_kw_add_int(void *keyword_table, const char *name, int data);
int gpmi_kw_add_int_auto(void *keyword_table, const char *name);
int gpmi_kw_add_string(void *keyword_table, const char *name, char *data);
int gpmi_kw_add_ptr(void *keyword_table, const char *name, void *data);
int gpmi_kw_find_int(void *keyword_table, const char *name);
char *gpmi_kw_find_string(void *keyword_table, const char *name);
const void *gpmi_kw_find_ptr(void *keyword_table,  const char *name);
int gpmi_kw_find_multi(void *keyword_table, const char *key);

extern const gpmi_keyword_static_int gpmi_kw_ska[];
